'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');

const cardFooterCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:contents}.card-footer{display:flex;gap:var(--xena-spacing-small)}.actions{margin-left:auto}";

let CardFooter = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h("div", { class: "card-footer" }, index.h("slot", null), index.h("div", { class: "actions" }, index.h("slot", { name: "actions" }))));
  }
  get host() { return index.getElement(this); }
};
CardFooter.style = cardFooterCss;

exports.xena_card_footer = CardFooter;
