'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');

const listCss = ":host{display:flex;flex-direction:column}:host([bordered]){border-top:1px solid var(--xena-color-gray-200)}:host([bordered]) ::slotted(xena-list-item){border-bottom:1px solid var(--xena-color-gray-200)}";

let List = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /** Set to true to show borders between list items. */
    this.bordered = false;
  }
  render() {
    return (index.h(index.Host, { part: "base", bordered: this.bordered }, index.h("slot", null)));
  }
};
List.style = listCss;

exports.xena_list = List;
