'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');

const timelineCss = "ul{list-style:none;margin:0;padding:0;display:flex;flex-direction:column;gap:var(--xena-spacing-x-small)}ul[show-reverse]{flex-direction:column-reverse}";

let Timeline = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /** Set to true to show items in reverse order. */
    this.showReverse = false;
  }
  render() {
    return (index.h("ul", { part: "base", "show-reverse": this.showReverse }, index.h("slot", null)));
  }
};
Timeline.style = timelineCss;

exports.xena_timeline = Timeline;
