/** Resolve locale **/
let lang = 'en';
const htmlLang = document.getElementsByTagName('html')[0].lang;
if (htmlLang && htmlLang.length >= 2) {
  lang = htmlLang.substr(0, 2).toLowerCase();
}
/**
 * A class that exposes resuable details about the current platform.
 */
export class Platform {
  /**
   * Preferred language for the user specified as ISO-639-1 (fx. 'da' for Danish.).
   */
  static getLanguage() {
    return lang;
  }
}
