/* xenads custom elements bundle */

import type { Components, JSX } from "../types/components";

interface XenaAlert extends Components.XenaAlert, HTMLElement {}
export const XenaAlert: {
  prototype: XenaAlert;
  new (): XenaAlert;
};

interface XenaAutocomplete extends Components.XenaAutocomplete, HTMLElement {}
export const XenaAutocomplete: {
  prototype: XenaAutocomplete;
  new (): XenaAutocomplete;
};

interface XenaAutocompleteList extends Components.XenaAutocompleteList, HTMLElement {}
export const XenaAutocompleteList: {
  prototype: XenaAutocompleteList;
  new (): XenaAutocompleteList;
};

interface XenaAvatar extends Components.XenaAvatar, HTMLElement {}
export const XenaAvatar: {
  prototype: XenaAvatar;
  new (): XenaAvatar;
};

interface XenaButton extends Components.XenaButton, HTMLElement {}
export const XenaButton: {
  prototype: XenaButton;
  new (): XenaButton;
};

interface XenaButtonGroup extends Components.XenaButtonGroup, HTMLElement {}
export const XenaButtonGroup: {
  prototype: XenaButtonGroup;
  new (): XenaButtonGroup;
};

interface XenaCard extends Components.XenaCard, HTMLElement {}
export const XenaCard: {
  prototype: XenaCard;
  new (): XenaCard;
};

interface XenaCardFooter extends Components.XenaCardFooter, HTMLElement {}
export const XenaCardFooter: {
  prototype: XenaCardFooter;
  new (): XenaCardFooter;
};

interface XenaCardHeader extends Components.XenaCardHeader, HTMLElement {}
export const XenaCardHeader: {
  prototype: XenaCardHeader;
  new (): XenaCardHeader;
};

interface XenaCell extends Components.XenaCell, HTMLElement {}
export const XenaCell: {
  prototype: XenaCell;
  new (): XenaCell;
};

interface XenaCheckbox extends Components.XenaCheckbox, HTMLElement {}
export const XenaCheckbox: {
  prototype: XenaCheckbox;
  new (): XenaCheckbox;
};

interface XenaColor extends Components.XenaColor, HTMLElement {}
export const XenaColor: {
  prototype: XenaColor;
  new (): XenaColor;
};

interface XenaColorPicker extends Components.XenaColorPicker, HTMLElement {}
export const XenaColorPicker: {
  prototype: XenaColorPicker;
  new (): XenaColorPicker;
};

interface XenaColumn extends Components.XenaColumn, HTMLElement {}
export const XenaColumn: {
  prototype: XenaColumn;
  new (): XenaColumn;
};

interface XenaDropdown extends Components.XenaDropdown, HTMLElement {}
export const XenaDropdown: {
  prototype: XenaDropdown;
  new (): XenaDropdown;
};

interface XenaEmpty extends Components.XenaEmpty, HTMLElement {}
export const XenaEmpty: {
  prototype: XenaEmpty;
  new (): XenaEmpty;
};

interface XenaFiscalCalendar extends Components.XenaFiscalCalendar, HTMLElement {}
export const XenaFiscalCalendar: {
  prototype: XenaFiscalCalendar;
  new (): XenaFiscalCalendar;
};

interface XenaFiscalDatepicker extends Components.XenaFiscalDatepicker, HTMLElement {}
export const XenaFiscalDatepicker: {
  prototype: XenaFiscalDatepicker;
  new (): XenaFiscalDatepicker;
};

interface XenaIcon extends Components.XenaIcon, HTMLElement {}
export const XenaIcon: {
  prototype: XenaIcon;
  new (): XenaIcon;
};

interface XenaIconButton extends Components.XenaIconButton, HTMLElement {}
export const XenaIconButton: {
  prototype: XenaIconButton;
  new (): XenaIconButton;
};

interface XenaIconLibrary extends Components.XenaIconLibrary, HTMLElement {}
export const XenaIconLibrary: {
  prototype: XenaIconLibrary;
  new (): XenaIconLibrary;
};

interface XenaInput extends Components.XenaInput, HTMLElement {}
export const XenaInput: {
  prototype: XenaInput;
  new (): XenaInput;
};

interface XenaLabel extends Components.XenaLabel, HTMLElement {}
export const XenaLabel: {
  prototype: XenaLabel;
  new (): XenaLabel;
};

interface XenaList extends Components.XenaList, HTMLElement {}
export const XenaList: {
  prototype: XenaList;
  new (): XenaList;
};

interface XenaListItem extends Components.XenaListItem, HTMLElement {}
export const XenaListItem: {
  prototype: XenaListItem;
  new (): XenaListItem;
};

interface XenaMenu extends Components.XenaMenu, HTMLElement {}
export const XenaMenu: {
  prototype: XenaMenu;
  new (): XenaMenu;
};

interface XenaMenuDivider extends Components.XenaMenuDivider, HTMLElement {}
export const XenaMenuDivider: {
  prototype: XenaMenuDivider;
  new (): XenaMenuDivider;
};

interface XenaMenuItem extends Components.XenaMenuItem, HTMLElement {}
export const XenaMenuItem: {
  prototype: XenaMenuItem;
  new (): XenaMenuItem;
};

interface XenaMenuLabel extends Components.XenaMenuLabel, HTMLElement {}
export const XenaMenuLabel: {
  prototype: XenaMenuLabel;
  new (): XenaMenuLabel;
};

interface XenaModal extends Components.XenaModal, HTMLElement {}
export const XenaModal: {
  prototype: XenaModal;
  new (): XenaModal;
};

interface XenaPageSize extends Components.XenaPageSize, HTMLElement {}
export const XenaPageSize: {
  prototype: XenaPageSize;
  new (): XenaPageSize;
};

interface XenaPagination extends Components.XenaPagination, HTMLElement {}
export const XenaPagination: {
  prototype: XenaPagination;
  new (): XenaPagination;
};

interface XenaPanel extends Components.XenaPanel, HTMLElement {}
export const XenaPanel: {
  prototype: XenaPanel;
  new (): XenaPanel;
};

interface XenaPanelDivider extends Components.XenaPanelDivider, HTMLElement {}
export const XenaPanelDivider: {
  prototype: XenaPanelDivider;
  new (): XenaPanelDivider;
};

interface XenaPopover extends Components.XenaPopover, HTMLElement {}
export const XenaPopover: {
  prototype: XenaPopover;
  new (): XenaPopover;
};

interface XenaProgressBar extends Components.XenaProgressBar, HTMLElement {}
export const XenaProgressBar: {
  prototype: XenaProgressBar;
  new (): XenaProgressBar;
};

interface XenaProgressRing extends Components.XenaProgressRing, HTMLElement {}
export const XenaProgressRing: {
  prototype: XenaProgressRing;
  new (): XenaProgressRing;
};

interface XenaRadio extends Components.XenaRadio, HTMLElement {}
export const XenaRadio: {
  prototype: XenaRadio;
  new (): XenaRadio;
};

interface XenaRadioGroup extends Components.XenaRadioGroup, HTMLElement {}
export const XenaRadioGroup: {
  prototype: XenaRadioGroup;
  new (): XenaRadioGroup;
};

interface XenaRow extends Components.XenaRow, HTMLElement {}
export const XenaRow: {
  prototype: XenaRow;
  new (): XenaRow;
};

interface XenaSelect extends Components.XenaSelect, HTMLElement {}
export const XenaSelect: {
  prototype: XenaSelect;
  new (): XenaSelect;
};

interface XenaSlider extends Components.XenaSlider, HTMLElement {}
export const XenaSlider: {
  prototype: XenaSlider;
  new (): XenaSlider;
};

interface XenaSpinner extends Components.XenaSpinner, HTMLElement {}
export const XenaSpinner: {
  prototype: XenaSpinner;
  new (): XenaSpinner;
};

interface XenaStatistic extends Components.XenaStatistic, HTMLElement {}
export const XenaStatistic: {
  prototype: XenaStatistic;
  new (): XenaStatistic;
};

interface XenaStatus extends Components.XenaStatus, HTMLElement {}
export const XenaStatus: {
  prototype: XenaStatus;
  new (): XenaStatus;
};

interface XenaStep extends Components.XenaStep, HTMLElement {}
export const XenaStep: {
  prototype: XenaStep;
  new (): XenaStep;
};

interface XenaStepItem extends Components.XenaStepItem, HTMLElement {}
export const XenaStepItem: {
  prototype: XenaStepItem;
  new (): XenaStepItem;
};

interface XenaSwitch extends Components.XenaSwitch, HTMLElement {}
export const XenaSwitch: {
  prototype: XenaSwitch;
  new (): XenaSwitch;
};

interface XenaTab extends Components.XenaTab, HTMLElement {}
export const XenaTab: {
  prototype: XenaTab;
  new (): XenaTab;
};

interface XenaTabGroup extends Components.XenaTabGroup, HTMLElement {}
export const XenaTabGroup: {
  prototype: XenaTabGroup;
  new (): XenaTabGroup;
};

interface XenaTabPanel extends Components.XenaTabPanel, HTMLElement {}
export const XenaTabPanel: {
  prototype: XenaTabPanel;
  new (): XenaTabPanel;
};

interface XenaTable extends Components.XenaTable, HTMLElement {}
export const XenaTable: {
  prototype: XenaTable;
  new (): XenaTable;
};

interface XenaTag extends Components.XenaTag, HTMLElement {}
export const XenaTag: {
  prototype: XenaTag;
  new (): XenaTag;
};

interface XenaTextarea extends Components.XenaTextarea, HTMLElement {}
export const XenaTextarea: {
  prototype: XenaTextarea;
  new (): XenaTextarea;
};

interface XenaTimeline extends Components.XenaTimeline, HTMLElement {}
export const XenaTimeline: {
  prototype: XenaTimeline;
  new (): XenaTimeline;
};

interface XenaTimelineItem extends Components.XenaTimelineItem, HTMLElement {}
export const XenaTimelineItem: {
  prototype: XenaTimelineItem;
  new (): XenaTimelineItem;
};

interface XenaTooltip extends Components.XenaTooltip, HTMLElement {}
export const XenaTooltip: {
  prototype: XenaTooltip;
  new (): XenaTooltip;
};

/**
 * Utility to define all custom elements within this package using the tag name provided in the component's source. 
 * When defining each custom element, it will also check it's safe to define by:
 *
 * 1. Ensuring the "customElements" registry is available in the global context (window).
 * 2. The component tag name is not already defined.
 *
 * Use the standard [customElements.define()](https://developer.mozilla.org/en-US/docs/Web/API/CustomElementRegistry/define) 
 * method instead to define custom elements individually, or to provide a different tag name.
 */
export declare const defineCustomElements: (opts?: any) => void;

/**
 * Used to manually set the base path where assets can be found.
 * If the script is used as "module", it's recommended to use "import.meta.url",
 * such as "setAssetPath(import.meta.url)". Other options include
 * "setAssetPath(document.currentScript.src)", or using a bundler's replace plugin to
 * dynamically set the path at build time, such as "setAssetPath(process.env.ASSET_PATH)".
 * But do note that this configuration depends on how your script is bundled, or lack of
 * bunding, and where your assets can be loaded from. Additionally custom bundling
 * will have to ensure the static assets are copied to its build directory.
 */
export declare const setAssetPath: (path: string) => void;

export interface SetPlatformOptions {
  raf?: (c: FrameRequestCallback) => number;
  ael?: (el: EventTarget, eventName: string, listener: EventListenerOrEventListenerObject, options: boolean | AddEventListenerOptions) => void;
  rel?: (el: EventTarget, eventName: string, listener: EventListenerOrEventListenerObject, options: boolean | AddEventListenerOptions) => void;
  ce?: (eventName: string, opts?: any) => CustomEvent;
}
export declare const setPlatformOptions: (opts: SetPlatformOptions) => void;

export type { Components, JSX };

export * from '../types';
