import { r as registerInstance, h } from './index-9032f50f.js';

const menuDividerCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:block}.menu-divider{border-top:solid 1px var(--xena-panel-border-color);margin:var(--xena-spacing-x-small) 0}";

let MenuDivider = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return h("div", { part: "base", class: "menu-divider", role: "separator" });
  }
};
MenuDivider.style = menuDividerCss;

export { MenuDivider as xena_menu_divider };
