import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @since 1.0
 * @status experimental
 *
 * @part base - The component's base wrapper.
 *
 */
export declare class PageSize {
  private nativeSelect?;
  private _sizes;
  /** The selectable page sizes. */
  sizes: number[] | string;
  /** The current page size. */
  size: number;
  /** Label added just before the size selector. */
  label: string;
  /** Emitted when the selected size changes. */
  sizeChange: EventEmitter;
  validateSize(): void;
  sizesUpdated(): void;
  componentWillLoad(): void;
  private parseSizes;
  private onSelection;
  private setPageSize;
  private get pageSizeList();
  render(): any;
}
