# Card

[component-header:xena-card-header]

Used in `xena-card`

```html preview
<div class="grid gap-5">
<xena-card>
  <xena-card-header>
    <img slot="image" src="https://via.placeholder.com/32" alt="" />
    <b slot="title">App name</b>
    <small slot="description">Developer</small>
    <xena-dropdown slot="actions">
      <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
      <xena-menu>
        <xena-menu-item>More details</xena-menu-item>
      </xena-menu>
    </xena-dropdown>
  </xena-card-header>
</xena-card>
<xena-card>
  <xena-card-header>
    <b slot="title">App name</b>
    <small slot="description">Developer</small>
    <xena-dropdown slot="actions">
      <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
      <xena-menu>
        <xena-menu-item>More details</xena-menu-item>
      </xena-menu>
    </xena-dropdown>
  </xena-card-header>
</xena-card>
<xena-card>
  <xena-card-header>
    <img slot="image" src="https://via.placeholder.com/32" alt="" />
    <b slot="title">App name</b>
    <xena-dropdown slot="actions">
      <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
      <xena-menu>
        <xena-menu-item>More details</xena-menu-item>
      </xena-menu>
    </xena-dropdown>
  </xena-card-header>
</xena-card>
<xena-card>
  <xena-card-header>
    <img slot="image" src="https://via.placeholder.com/32" alt="" />
    <b slot="title">App name</b>
    <small slot="description">Developer</small>
  </xena-card-header>
</xena-card>
<xena-card>
  <xena-card-header>
    <b slot="title">App name</b>
    <xena-dropdown slot="actions">
      <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
      <xena-menu>
        <xena-menu-item>More details</xena-menu-item>
      </xena-menu>
    </xena-dropdown>
  </xena-card-header>
</xena-card>
<xena-card>
  <xena-card-header>
    <b slot="title">App name</b>
    <small slot="description">Developer</small>
  </xena-card-header>
</xena-card>
<xena-card>
  <xena-card-header>
    <img slot="image" src="https://via.placeholder.com/32" alt="" />
    <b slot="title">App name</b>
  </xena-card-header>
</xena-card>
<xena-card>
  <xena-card-header>
    <b slot="title">App name</b>
</xena-card>
</div>
```

[component-metadata:xena-card-header]
