# Checkbox

[component-header:xena-checkbox]

Checkboxes allow the user to toggle an option on or off.

```html preview
<xena-checkbox>Checkbox</xena-checkbox>
```

?> **Usage:** For choises, grouped/related options, lists, etc. If there are no submit button and the response is immediate, you should use a [switch](components/switch) component. Avoid using switches and checkboxes in the same form/context.

## Examples

### Checked

Use the `checked` attribute to activate the checkbox.

```html preview
<xena-checkbox checked>Checked</xena-checkbox>
```

### Indeterminate

Use the `indeterminate` attribute to make the checkbox indeterminate.

```html preview
<xena-checkbox indeterminate>Indeterminate</xena-checkbox>
```

### Disabled

Use the `disabled` attribute to disable the checkbox.

```html preview
<xena-checkbox disabled>Disabled</xena-checkbox>
```

[component-metadata:xena-checkbox]
