# Radio

[component-header:xena-radio]

Radios allow the user to select one option from a group of many.

```html preview
<xena-radio>Radio</xena-radio>
```

## Examples

### Checked

Use the `checked` attribute to activate the radio.

```html preview
<xena-radio checked>Checked</xena-radio>
```

### Disabled

Use the `disabled` attribute to disable the radio.

```html preview
<xena-radio disabled>Disabled</xena-radio>
```

### Grouping Radios

Radios are grouped based on their `name` attribute and scoped to the nearest form.

```html preview
<xena-radio name="option" checked>Option 1</xena-radio><br />
<xena-radio name="option">Option 2</xena-radio><br />
<xena-radio name="option">Option 3</xena-radio><br />
<xena-radio name="option">Option 4</xena-radio>
```

[component-metadata:xena-radio]
