# Statistic

[component-header:xena-statistic]

Display key figures and summaries.

When to use:

- For summary of data (KPI)

Do not use to display single data values (like status).

## Examples

```html preview
<xena-statistic label="Revenue (DKK)">100.000,00</xena-statistic>
```

```html preview
<div style="display: flex; flex-wrap: wrap;" class="gap-y-4 gap-x-9">
  <xena-statistic label="Hours"><xena-icon slot="prefix" name="far-clock"></xena-icon>1.500</xena-statistic>
  <xena-statistic label="Time left">2 days<xena-icon slot="suffix" name="far-hourglass"></xena-icon></xena-statistic>
  <xena-statistic label="Turnover" type="success"
    ><xena-icon slot="prefix" name="fas-arrow-up"></xena-icon>50 %</xena-statistic
  >
  <xena-statistic label="Tasks completed" type="danger"
    ><xena-icon slot="prefix" name="fas-arrow-down"></xena-icon>29 / 100</xena-statistic
  >
</div>
```

[component-metadata:xena-statistic]
