import { Component, h } from '@stencil/core';
/**
 * @since 1.8
 * @status experimental
 *
 * @part base - The base wrapper
 */
export class TableRow {
  render() {
    return (h("tr", { ref: el => (this.row = el) },
      h("slot", null)));
  }
  static get is() { return "xena-row"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["table-row.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["table-row.css"]
  }; }
}
