import { r as registerInstance, h } from './index-9032f50f.js';

const menuLabelCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:block}.menu-label{font-family:var(--xena-font-sans);font-size:var(--xena-font-size-small);font-weight:var(--xena-font-weight-normal);line-height:var(--xena-line-height-normal);letter-spacing:var(--xena-letter-spacing-normal);color:var(--xena-input-help-text-color);padding:var(--xena-spacing-2x-small) var(--xena-spacing-medium);user-select:none;white-space:nowrap}";

let MenuLabel = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h("div", { part: "base", class: "menu-label" }, h("slot", null)));
  }
};
MenuLabel.style = menuLabelCss;

export { MenuLabel as xena_menu_label };
