import { r as registerInstance, h } from './index-9032f50f.js';

const panelDividerCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:block}.panel-divider{border-top:solid 1px var(--xena-panel-border-color);margin:var(--xena-spacing-medium) -1rem}";

let PanelDivider = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return h("div", { part: "base", class: "panel-divider", role: "separator" });
  }
};
PanelDivider.style = panelDividerCss;

export { PanelDivider as xena_panel_divider };
