import { r as registerInstance, h } from './index-9032f50f.js';

const tableRowCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:contents}tr{border-bottom:1px solid var(--xena-color-gray-100);transition:background-color ease 0.2s}tr:hover{background-color:var(--row-hover)}.vertical-header xena-row:first-child{font-weight:600}";

let TableRow = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h("tr", { ref: el => (this.row = el) }, h("slot", null)));
  }
};
TableRow.style = tableRowCss;

export { TableRow as xena_row };
