import { r as registerInstance, h } from './index-9032f50f.js';

const statusCss = ".color{width:var(--xena-input-font-size-medium);height:var(--xena-input-font-size-medium);border:1px solid rgba(0, 0, 0, 0.125);display:inline-block;vertical-align:middle;margin:0 3px 2px 0;border-radius:100%}";

let Status = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  componentDidRender() {
    this.colorEl.style.background = this.color;
  }
  render() {
    return (h("span", { part: "base", class: "status" }, h("span", { ref: el => (this.colorEl = el), part: "color", class: "color" }), this.label ? (h("span", { part: "label", class: "label" }, this.color)) : null));
  }
};
Status.style = statusCss;

export { Status as xena_status };
