/**
 * @since 1.9
 * @status experimental
 *
 * @slot - Content of the card.
 */
export declare class Card {
  card: HTMLElement;
  host: HTMLXenaCardElement;
  /** When set, the underlying element will be rendered as an `<a>` with this `href` instead of a `<div>`. */
  href: string;
  /** Alter the appearance of the card element. */
  appearance: 'outline' | 'subtle' | 'filled';
  render(): any;
}
