import { E2EPage } from '@stencil/core/testing';
import { Page as PuppeteerPage } from 'puppeteer';
export declare type XenaE2EPage = E2EPage & Pick<PuppeteerPage, 'screenshot' | 'viewport'>;
declare type XenaE2EPageOptions = {
  html: string;
  viewportWidth: number;
};
export declare function createPage(optionsOrHtml?: string | XenaE2EPageOptions): Promise<XenaE2EPage>;
export declare function registerMockDomParser(): void;
export {};
