# Grid Auto Flow

Utilities for controlling how elements in a grid are auto-placed.

| Class               | Properties                    |
| ------------------- | ----------------------------- |
| grid-flow-row       | grid-auto-flow: row;          |
| grid-flow-col       | grid-auto-flow: column;       |
| grid-flow-row-dense | grid-auto-flow: row dense;    |
| grid-flow-col-dense | grid-auto-flow: column dense; |

## Usage

Use the `grid-flow-{keyword}` utilities to control how the auto-placement algorithm works for a grid layout.

```html preview
<div class="grid grid-flow-col grid-cols-3 grid-rows-3 gap-4">
  <xena-button>1</xena-button>
  <xena-button>2</xena-button>
  <xena-button>3</xena-button>
  <xena-button>4</xena-button>
  <xena-button>5</xena-button>
  <xena-button>6</xena-button>
  <xena-button>7</xena-button>
  <xena-button>8</xena-button>
  <xena-button>9</xena-button>
</div>
```
