# Grid Auto Rows

Utilities for controlling the size of implicitly-created grid rows.

| Class          | Properties                      |
| -------------- | ------------------------------- |
| auto-rows-auto | grid-auto-rows: auto;           |
| auto-rows-min  | grid-auto-rows: min-content;    |
| auto-rows-max  | grid-auto-rows: max-content;    |
| auto-rows-fr   | grid-auto-rows: minmax(0, 1fr); |

## Usage

Use the `auto-rows-{size}` utilities to control the size implicitly-created grid rows.

```html
<div class="grid grid-flow-row auto-rows-max">
  <div>1</div>
  <div>2</div>
  <div>3</div>
</div>
```
