# Edit and update data

Editing should – as a general rule – happen in the same way the data was first created. So, if you created in a dialog, you should edit in a dialog.

## Read and edit mode

As illustrated below, in EG Xena most views have a "read mode" (left) and an "edit mode" (right).

![Example of the same view in EG Xena, first in read mode and then in edit mode.][def1]

Enable edit mode via an option in a context menu, or a button or edit icon <xena-icon name="fas-edit"></xena-icon>. In the above example, you click on the pencil icon to start editing, and click on the eye icon <xena-icon name="fas-eye"></xena-icon> to return to read mode.

In some views, editing can be enabled by double clicking on the data you want to edit.

## Editable table cells

If data is created and presented in a table, it is likely best to also edit it in the table. Having editable table cells calls for simple, almost fool proof inputs so errors are avoided (it can be very difficult for the user to locate the troublesome cell).

![A table with editable cells.][def2]

[def1]: ../assets/patterns/edit_modes.jpg
[def2]: ../assets/patterns/edit_table.jpg
