# Data visualization

Simple charts offer a way to visualize data sets in an intuitive, easy to understand way. Below is example of **(A)** bar chart (in combination with a trend line), and **(B)** pie charts.

![Bar and pie charts in EG Xena.][def1]

1. **Filters** can alter the dataset used for rendering the charts.
2. Use simple, easy-to-understand **descriptors and metrics** to label your chart and axes.
3. **Legends** summarize the distinguishing visual properties such as colors or texture, helping the user to make sense of the chart.

When designing a chart, start by identifying the purpose of the visualization, then find a chart type that will fulfill that purpose. Every chart should tell a story.

[def1]: ../assets/patterns/data_graphs.jpg
