'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');

const panelDividerCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:block}.panel-divider{border-top:solid 1px var(--xena-panel-border-color);margin:var(--xena-spacing-medium) -1rem}";

let PanelDivider = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return index.h("div", { part: "base", class: "panel-divider", role: "separator" });
  }
};
PanelDivider.style = panelDividerCss;

exports.xena_panel_divider = PanelDivider;
