'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');

const popoverCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}div[slot=trigger]{cursor:pointer}.popover{min-width:var(--xena-spacing-7x-large);max-width:95vw;color:var(--xena-color-black)}.popover-title{padding:var(--xena-spacing-x-small) var(--xena-spacing-small);font-weight:var(--xena-font-weight-semibold);border-bottom:1px solid var(--xena-panel-border-color);white-space:nowrap}.popover-body{padding:var(--xena-spacing-x-small) var(--xena-spacing-small)}";

let Popover = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /** Show arrow on the popover pointing to the trigger. */
    this.arrow = false;
    /** Indicates whether or not the popover is open. */
    this.open = false;
    /** The distance in pixels from which to offset the panel away from its trigger. */
    this.distance = 2;
  }
  render() {
    return (index.h("xena-dropdown", { placement: "bottom", arrow: this.arrow, open: this.open, distance: this.distance }, index.h("div", { slot: "trigger" }, index.h("slot", { name: "trigger" })), index.h("div", { class: "popover", part: "base" }, index.h("div", { class: "popover-inner", role: "tooltip" }, index.h("div", { class: "popover-title", part: "header" }, index.h("slot", { name: "header" })), index.h("div", { class: "popover-body", part: "body" }, index.h("slot", null))))));
  }
};
Popover.style = popoverCss;

exports.xena_popover = Popover;
