/**
 * @since 1.0
 * @status stable
 *
 * @slot - The label's content.
 *
 * @part base - The base wrapper
 */
export declare class Label {
  label: HTMLElement;
  /** The label's type. */
  type: 'primary' | 'success' | 'info' | 'warning' | 'danger' | 'default';
  render(): any;
}
