/**
 * @since 1.0
 * @status stable
 *
 * @slot - The panel's content.
 * @slot extra - Optional extras to place to the right in the header, fx. icons with menus.
 *
 * @part base - The component's base wrapper.
 * @part header - The panel header.
 * @part body - The panel body.
 *
 */
export declare class Panel {
  /** The panel header */
  header: string;
  render(): any;
}
