/**
 * @since 1.0
 * @status stable
 *
 * @slot - A label to show inside the indicator.
 *
 * @part base - The component's base wrapper.
 * @part indicator - The progress bar indicator.
 * @part label - The progress bar label.
 */
export declare class ProgressBar {
  /** The progress bar's percentage, 0 to 100. */
  percentage: number;
  /** When true, percentage is ignored, the label is hidden, and the progress bar is drawn in an indeterminate state. */
  indeterminate: boolean;
  render(): any;
}
