/**
 * @since 1.8
 * @status experimental
 *
 * @slot - The tab panel's content.
 *
 * @part base - The component's base wrapper.
 */
export declare class TabPanel {
  componentId: string;
  host: HTMLXenaTabPanelElement;
  /** The tab panel's name. */
  name: string;
  /** When true, the tab panel will be shown. */
  active: boolean;
  render(): any;
}
