import { Alignments } from '../../utils/types';
/**
 * @since 1.8
 * @status experimental
 *
 * @part base - The base wrapper
 */
export declare class TableCell {
  cell: HTMLTableCellElement;
  /**
   * Adjust the alignment of the content
   */
  alignment: Alignments;
  /**
   * Adjust the colspan of the cell
   */
  colspan: number;
  render(): any;
}
