# Card

[component-header:xena-card-footer]

Used in `xena-card`

```html preview
<div class="grid gap-5">
  <xena-card>
    <xena-card-footer>
      <xena-button><xena-icon slot="prefix" name="fas-plus"></xena-icon>Install</xena-button>
      <xena-button><xena-icon slot="prefix" name="fas-share"></xena-icon>Share</xena-button>
      <xena-dropdown slot="actions">
        <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
        <xena-menu>
          <xena-menu-item>Something else</xena-menu-item>
        </xena-menu>
      </xena-dropdown>
    </xena-card-footer>
  </xena-card>
  <xena-card>
    <xena-card-footer>
      <xena-dropdown slot="actions">
        <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
        <xena-menu>
          <xena-menu-item>Something else</xena-menu-item>
        </xena-menu>
      </xena-dropdown>
    </xena-card-footer>
  </xena-card>
  <xena-card>
    <xena-card-footer>
      <xena-button type="primary"><xena-icon slot="prefix" name="fas-download"></xena-icon>Download</xena-button>
    </xena-card-footer>
  </xena-card>
  <xena-card>
    <xena-card-footer>
      <p class="m-0">Updated 2 min. ago</p>
      <xena-label slot="actions">New</xena-label>
    </xena-card-footer>
  </xena-card>
</div>
```

[component-metadata:xena-card-footer]
