# List group

[component-header:xena-list]

This is the container for [list items](components/list-item.md).

## Examples

```html preview
<xena-list>[List items goes here]</xena-list>
```

```html preview
<xena-list>
  <xena-list-item>
    <xena-avatar slot="prefix" initials="JD"></xena-avatar>
    <h4>Jane Doe</h4>
    <p>Bookkeeper</p>
    <xena-label slot="suffix" type="info">Invited</xena-label>
  </xena-list-item>
  <xena-list-item>
    <xena-avatar slot="prefix" initials="JD"></xena-avatar>
    <h4>John Doe</h4>
    <p>Mechanic</p>
    <xena-label slot="suffix" type="info">Invited</xena-label>
  </xena-list-item>
  <xena-list-item>
    <xena-avatar slot="prefix" initials="DJ"></xena-avatar>
    <h4>Don Joe</h4>
    <p>Musician</p>
    <xena-label slot="suffix" type="info">Invited</xena-label>
  </xena-list-item>
</xena-list>
```

### Bordered

```html preview
<xena-list bordered>
  <xena-list-item>
    <xena-avatar slot="prefix" initials="JD"></xena-avatar>
    <h4>Jane Doe</h4>
    <p>Bookkeeper</p>
    <xena-label slot="suffix" type="info">Invited</xena-label>
  </xena-list-item>
  <xena-list-item>
    <xena-avatar slot="prefix" initials="JD"></xena-avatar>
    <h4>John Doe</h4>
    <p>Mechanic</p>
    <xena-label slot="suffix" type="info">Invited</xena-label>
  </xena-list-item>
  <xena-list-item>
    <xena-avatar slot="prefix" initials="DJ"></xena-avatar>
    <h4>Don Joe</h4>
    <p>Musician</p>
    <xena-label slot="suffix" type="info">Invited</xena-label>
  </xena-list-item>
</xena-list>
```

[component-metadata:xena-list]
