# Tab Panel

[component-header:xena-tab-panel]

Tab panels are used inside tab groups to display content.

```html preview
<xena-tab-group>
  <xena-tab slot="nav" panel="general">General</xena-tab>
  <xena-tab slot="nav" panel="custom">Custom</xena-tab>
  <xena-tab slot="nav" panel="advanced">Advanced</xena-tab>
  <xena-tab slot="nav" panel="disabled" disabled>Disabled</xena-tab>

  <xena-tab-panel name="general">This is the general tab panel.</xena-tab-panel>
  <xena-tab-panel name="custom">This is the custom tab panel.</xena-tab-panel>
  <xena-tab-panel name="advanced">This is the advanced tab panel.</xena-tab-panel>
  <xena-tab-panel name="disabled">This is a disabled tab panel.</xena-tab-panel>
</xena-tab-group>
```

?> Additional demonstrations can be found in the [tab group examples](/components/tab-group.md).

[component-metadata:xena-tab-panel]
