'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');

const tableCellCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:contents}td{padding:var(--cell-padding);vertical-align:middle}.text-left{text-align:left}.text-center{text-align:center}.text-right{text-align:right}";

let TableCell = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Adjust the alignment of the content
     */
    this.alignment = 'left';
  }
  render() {
    return (index.h("td", { part: "base", class: {
        'text-left': this.alignment === 'left',
        'text-right': this.alignment === 'right',
        'text-center': this.alignment === 'center'
      }, colSpan: this.colspan }, index.h("slot", null)));
  }
};
TableCell.style = tableCellCss;

exports.xena_cell = TableCell;
