'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');

const panelCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}.panel{margin-bottom:var(--xena-spacing-medium);background-color:var(--xena-panel-background-color);border:1px solid var(--xena-panel-border-color);-webkit-box-shadow:var(--xena-shadow-x-small);box-shadow:var(--xena-shadow-x-small);width:100%}.panel .panel-title{line-height:1;margin-top:0;margin-bottom:0;font-size:var(--xena-font-size-medium);color:inherit;white-space:nowrap;text-overflow:ellipsis;overflow:hidden;font-weight:var(--xena-font-weight-semibold)}.panel .panel-heading{min-height:38px;background-color:var(--xena-color-gray-100);position:relative;display:flex;flex-direction:row;justify-content:space-between;align-items:center;padding:var(--xena-spacing-small) var(--xena-spacing-medium);border-bottom:1px solid var(--xena-panel-border-color)}.panel .panel-body{height:100%;position:relative;padding:var(--xena-spacing-medium)}";

let Panel = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h("section", { class: "panel panel-default", part: "base" }, this.header ? (index.h("header", { class: "panel-heading", part: "header" }, index.h("span", { class: "panel-title" }, this.header))) : null, index.h("div", { class: "panel-body", part: "body" }, index.h("slot", null))));
  }
};
Panel.style = panelCss;

exports.xena_panel = Panel;
