'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');

const tableRowCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:contents}tr{border-bottom:1px solid var(--xena-color-gray-100);transition:background-color ease 0.2s}tr:hover{background-color:var(--row-hover)}.vertical-header xena-row:first-child{font-weight:600}";

let TableRow = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h("tr", { ref: el => (this.row = el) }, index.h("slot", null)));
  }
};
TableRow.style = tableRowCss;

exports.xena_row = TableRow;
