import { Component, h } from '@stencil/core';
/**
 * @since 1.8
 * @status experimental
 *
 * @part base - The component's base wrapper.
 */
export class PanelDivider {
  render() {
    return h("div", { part: "base", class: "panel-divider", role: "separator" });
  }
  static get is() { return "xena-panel-divider"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["panel-divider.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["panel-divider.css"]
  }; }
}
