import { r as registerInstance, h, g as getElement } from './index-9032f50f.js';

const cardFooterCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:contents}.card-footer{display:flex;gap:var(--xena-spacing-small)}.actions{margin-left:auto}";

let CardFooter = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h("div", { class: "card-footer" }, h("slot", null), h("div", { class: "actions" }, h("slot", { name: "actions" }))));
  }
  get host() { return getElement(this); }
};
CardFooter.style = cardFooterCss;

export { CardFooter as xena_card_footer };
