import { r as registerInstance, h, H as Host } from './index-9032f50f.js';

const listCss = ":host{display:flex;flex-direction:column}:host([bordered]){border-top:1px solid var(--xena-color-gray-200)}:host([bordered]) ::slotted(xena-list-item){border-bottom:1px solid var(--xena-color-gray-200)}";

let List = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** Set to true to show borders between list items. */
    this.bordered = false;
  }
  render() {
    return (h(Host, { part: "base", bordered: this.bordered }, h("slot", null)));
  }
};
List.style = listCss;

export { List as xena_list };
