import { r as registerInstance, h } from './index-9032f50f.js';

const timelineCss = "ul{list-style:none;margin:0;padding:0;display:flex;flex-direction:column;gap:var(--xena-spacing-x-small)}ul[show-reverse]{flex-direction:column-reverse}";

let Timeline = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** Set to true to show items in reverse order. */
    this.showReverse = false;
  }
  render() {
    return (h("ul", { part: "base", "show-reverse": this.showReverse }, h("slot", null)));
  }
};
Timeline.style = timelineCss;

export { Timeline as xena_timeline };
