/**
 * @since 1.6
 * @status experimental
 *
 * @slot - The empty placeholder's content.
 * @slot icon - Illustration for the empty element.
 * @slot actions - Space for actions.
 * @slot secondary-actions - Space for additional actions.
 *
 * @part base - The base wrapper
 * @part header - The header
 * @part illustration - The illustration wrapper
 * @part text - The text wrapper
 */
export declare class Empty {
  host: HTMLXenaEmptyElement;
  /** The empty headline */
  header: string;
  private hasActions;
  private hasSecondaryActions;
  handleSlotChange(): void;
  render(): any;
}
