/**
 * @since 1.3
 * @status experimental
 *
 * @part base - The component's base wrapper.
 *
 * @slot prefix - Space for icons, avatars or other features
 * @slot - The main content
 * @slot suffix - Space for icons, menus and other actions
 */
export declare class ListItem {
  host: HTMLXenaListItemElement;
  /** When set, the list item will be rendered as an `<a>` with this `href` instead of a `<div>`. */
  href: string;
  private hasPrefix;
  private hasSuffix;
  handleSlotChange(): void;
  render(): any;
}
