/**
 * @since 1.5
 * @status experimental
 *
 * @slot - The value
 * @slot prefix - Optional prefix slot for icon
 * @slot suffix - Optional suffix slot for icon
 *
 * @part base - The component's base wrapper
 * @part label - The label
 * @part value - The statistic value
 */
export declare class Statistic {
  host: HTMLXenaStatisticElement;
  /** Label of the statistic */
  label: string;
  /** Optional theming */
  type: 'success' | 'danger';
  private hasPrefix;
  private hasSuffix;
  handleSlotChange(): void;
  render(): any;
}
