/**
 * @since 1.7
 * @status experimental
 *
 * @part base - The component's base wrapper.
 */
export declare class StepItem {
  /** Header for the step item. (Will be set by the Step component.) */
  header: string;
  /** Label for the step item. */
  label: string;
  /** Whether the step is active or not. (Will be set by the Step component) */
  active: boolean;
  render(): any;
}
