import { Alignments } from '../../utils/types';
/**
 * @since 1.8
 * @status experimental
 *
 * @part base - The base wrapper
 */
export declare class TableColumn {
  column: HTMLTableCellElement;
  /**
   * Adjust the alignment of the content
   */
  alignment: Alignments;
  /**
   * Adjust the width of the column
   */
  width: string;
  /**
   * Adjust the colspan of the column
   */
  colspan: number;
  render(): any;
}
