export declare class Dates {
  static getDefaultDateFormat(): string;
  static dateToFiscalDate(date: Date): number;
  static fiscalDateToDate(value: number): Date;
  static stringToFiscalDate(value: string, systemDate: number): number;
  static isValid(date: Date): boolean;
  static format(date: Date, formatStr?: string): string;
  static formatWeekDay(weekDayNumber: number, width?: string): string;
  static formatMonth(monthNumber: number, width?: string): string;
  private static getLocale;
}
